vim, vim-core: upgraded packages to upstream

Upgraded app-editors/vim to version 8.2.0814-r100 on amd64, arm64
Upgraded app-editors/vim-core to version 8.2.0814 on amd64, arm64

This upgrade does not address the linked vulnerabilities. Upstream does
not have fixes for the linked vulnerabilities yet. I will send a fix to
upstream, but since our vim is pretty far behind, let's get caught up
before upstream releases a new version.

BUG=b/201202353,b/201202221,b/199713966
TEST=sudo emerge vim, run vim --version, emerge-lakitu vim,
emerge-lakitu-arm64 vim
RELEASE_NOTE=Upgraded vim to version 8.2.0814-r100.

Change-Id: I58b9c80d4e3724f47bd331f408329d7719011ebc
Reviewed-on: https://cos-review.googlesource.com/c/third_party/overlays/portage-stable/+/23131
Reviewed-by: Vaibhav Rustagi <vaibhavrustagi@google.com>
Reviewed-by: Sam Kunz <samkunz@google.com>
Tested-by: Cusky Presubmit Bot <presubmit@cos-infra-prod.iam.gserviceaccount.com>
12 files changed